searchNodes=[{"doc":"Job pools for Elixir OTP applications, written in Elixir. Usage You can add job pools directly to the top level of your own application's supervision tree: defmodule MyApp.Application do use Application def start ( _type , _args ) do children = [ { OddJob , :email } , { OddJob , :task } ] opts = [ strategy : :one_for_one , name : MyApp.Supervisor ] Supervisor . start_link ( children , opts ) end end The tuple {OddJob, :email} will return a child spec for a supervisor that will start and supervise the :email pool. The second element of the tuple can be any atom that you want to use as a unique name for the pool. You can also configure OddJob to supervise your pools for you in a separate supervision tree. In your config.exs : config :odd_job , supervise : [ :email , :task ] You can also configure a custom pool size that will apply to all pools: config :odd_job , pool_size : 10 # the default value is 5 Now you can call on your pools to perform concurrent fire and forget jobs: OddJob . perform ( :email , fn -&gt; send_confirmation_email ( ) end ) OddJob . perform ( :task , fn -&gt; update_external_application ( ) end )","ref":"OddJob.html","title":"OddJob","type":"module"},{"doc":"Performs an async job that can be awaited on for the result. Functions like Task.async/1 and Task.await/2 . Examples iex&gt; job = OddJob . async_perform ( :work , fn -&gt; :math . exp ( 100 ) end ) iex&gt; OddJob . await ( job ) 2.6881171418161356e43","ref":"OddJob.html#async_perform/2","title":"OddJob.async_perform/2","type":"function"},{"doc":"Awaits on an async job and returns the results. Examples iex&gt; OddJob . async_perform ( :work , fn -&gt; :math . log ( 2.6881171418161356e43 ) end ) ...&gt; |&gt; OddJob . await ( ) 100.0","ref":"OddJob.html#await/2","title":"OddJob.await/2","type":"function"},{"doc":"Performs a fire and forget job. Examples iex&gt; parent = self ( ) iex&gt; :ok = OddJob . perform ( :work , fn -&gt; send ( parent , :hello ) end ) iex&gt; receive do ...&gt; msg -&gt; msg ...&gt; end :hello","ref":"OddJob.html#perform/2","title":"OddJob.perform/2","type":"function"},{"doc":"Returns the pid and state of the job pool 's queue. Examples iex&gt; { pid , % OddJob.Queue { id : id } } = OddJob . queue ( :work ) iex&gt; is_pid ( pid ) true iex&gt; id :odd_job_work_queue","ref":"OddJob.html#queue/1","title":"OddJob.queue/1","type":"function"},{"doc":"Returns the ID of the job pool 's queue. Examples iex&gt; OddJob . queue_id ( :work ) :odd_job_work_queue","ref":"OddJob.html#queue_id/1","title":"OddJob.queue_id/1","type":"function"},{"doc":"Returns the pid of the job pool 's supervisor. There is no guarantee that the process will still be alive after the results are returned, as it could exit or be killed or restarted at any time. Use supervisor_id/1 to obtain the persistent ID of the supervisor. Examples OddJob . supervisor ( :work ) #=&gt; #PID&lt;0.239.0&gt;","ref":"OddJob.html#supervisor/1","title":"OddJob.supervisor/1","type":"function"},{"doc":"Returns the ID of the job pool 's supervisor. Examples iex&gt; OddJob . supervisor_id ( :work ) :odd_job_work_sup","ref":"OddJob.html#supervisor_id/1","title":"OddJob.supervisor_id/1","type":"function"},{"doc":"Returns a list of pid s for the specified worker pool. There is no guarantee that the processes will still be alive after the results are returned, as they could exit or be killed at any time. Examples OddJob . workers ( :work ) #=&gt; [#PID&lt;0.105.0&gt;, #PID&lt;0.106.0&gt;, #PID&lt;0.107.0&gt;, #PID&lt;0.108.0&gt;, #PID&lt;0.109.0&gt;]","ref":"OddJob.html#workers/1","title":"OddJob.workers/1","type":"function"},{"doc":"","ref":"OddJob.html#t:child_spec/0","title":"OddJob.child_spec/0","type":"type"},{"doc":"","ref":"OddJob.html#t:job/0","title":"OddJob.job/0","type":"type"},{"doc":"","ref":"OddJob.html#t:queue/0","title":"OddJob.queue/0","type":"type"},{"doc":"","ref":"OddJob.Job.html","title":"OddJob.Job","type":"module"},{"doc":"","ref":"OddJob.Job.html#t:t/0","title":"OddJob.Job.t/0","type":"type"},{"doc":"","ref":"OddJob.Queue.html","title":"OddJob.Queue","type":"module"},{"doc":"","ref":"OddJob.Queue.html#t:job/0","title":"OddJob.Queue.job/0","type":"type"},{"doc":"","ref":"OddJob.Queue.html#t:t/0","title":"OddJob.Queue.t/0","type":"type"}]